@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;600;700&display=swap');
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700;800&display=swap");

/* Only apply font to this section */
.video-content {
    --main-text-color: white;
    color: var(--main-text-color);
    padding-bottom:10px;
}

.video-content .video-heading,
.video-content .video-subtext,
.video-content .video-button {
    color: var(--main-text-color);
}


.video-section * {
    font-family: 'Montserrat', sans-serif;
    box-sizing: border-box;
}

/* Video Overlay */
.video-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgb(0 0 0 / 40%)  ;
    z-index: 1;
}

.video-section {
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    margin: 0;
}

.video-section video {
    position: absolute;
    top: 50%;
    left: 50%;
    min-width: 100%;
    min-height: 100%;
    width: auto;
    height: auto;
    transform: translate(-50%, -50%);
    object-fit: cover;
    z-index: 1;
    filter: brightness(50%);
}

.video-content {
    position: relative;
    z-index: 2;
    color: white;
    text-align: center;
    top: 60%;
    transform: translateY(-50%);
    padding: 20px;
}

.video-content .video-heading {
    font-size: 6rem;
    margin-bottom: 20px;
}

.video-content .video-subtext {
    font-size: 2rem;
    margin-bottom:20px;
    margin-top:25px;
    max-width: 65%;
    margin-left: auto;
    margin-right: auto;
}

.video-content .video-button {
    /* background-color: #ffffff; */

    color: var(--rr-theme-primary);
    padding: 12px 30px;
    text-decoration:solid;
    border-radius: 30px;
    border:0.5px solid var(--rr-theme-primary);
    font-size: 2rem;
    transition: 0.3s;
    display: inline-block;
}

.video-content .video-button:hover {
    /* background-color: #000000; */
    color:var(--rr-theme-primary);
    box-shadow: 0px 0px 10px 0px #ff3d00d4;
}

/* Optional Explore Section – keep if used */
.explore-section {
    height: 100vh;
    background-color: #f8f8f8;
    padding: 100px 20px;
}

.explore-section .explore-heading {
    font-size: 2rem;
    margin-bottom: 10px;
}

.explore-section .explore-text {
    font-size: 1.1rem;
    width: 40vh;
}

/* Responsive */
@media screen and (max-width: 768px) {
    .video-content .video-heading {
        font-size: 2.2rem;
    }
    .header__btn-wrap {
    text-align: center;
    }
    .header__btn-wrap a {
    display: inline-block;
    }
    .video-content .video-subtext {
    margin-bottom: 20px;
    margin-top: 9px;
    max-width: 88%;
    margin-left: auto;
    margin-right: auto;
    line-height: 1.4;
    font-size: 14px;
    }
    .latest-Choose-us__media-img1 img
    {
            margin-left: 0;
    }
}
